PEM_WRITE_BIO_CMS_STREAM(3)

NAME
PEM_write_bio_CMS_stream - output CMS_ContentInfo structure in PEM format

SYNOPSIS
#include <openssl/cms.h>
int
PEM_write_bio_CMS_stream(BIO *out, CMS_ContentInfo *cms, BIO *data, int flags);

DESCRIPTION
PEM_write_bio_CMS_stream() outputs a CMS_ContentInfo structure in PEM format.

It is otherwise identical to the function SMIME_write_CMS(3).

This function is effectively a version of PEM_write_bio_CMS(3) supporting streaming.

RETURN VALUES
PEM_write_bio_CMS_stream() returns 1 for success or 0 for failure.

SEE ALSO
CMS_ContentInfo_new(3), CMS_decrypt(3), CMS_encrypt(3), CMS_sign(3), CMS_verify(3), ERR_get_error(3), i2d_CMS_bio_stream(3), PEM_write(3), SMIME_write_CMS(3)

HISTORY
PEM_write_bio_CMS_stream() first appeared in OpenSSL 1.0.0 and has been available since OpenBSD 6.7.